Bug 895295 - [RFE] Validator to warn of inconsistent number of lines
[RFE] Validator to warn of inconsistent number of lines
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.2
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 20:39 EST by David Mason
Modified: 2013-11-26 22:35 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.2-SNAPSHOT (20130122-0032)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:23:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 2013-01-14 20:39:14 EST
Description of problem:
Some translations require the same number of lines in the translation as the source. A validator will help translators tell when the line number in an entered translation is different from the line number in the source.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Sign in and open any document in translation editor
2.Select a row with a source string that is a single line
3.Enter a translation that has 2 lines of text
  
Actual results:
No validation warnings about number of lines

Expected results:
Validation warning indicates that number of lines is different

Additional info:
Comment 1 David Mason 2013-01-14 20:47:10 EST
Added warning in 2.1-SNAPSHOT

See: https://github.com/zanata/zanata/commit/82468ee800e520ae6cc1e12351b81339a8b6b26
Comment 2 Ding-Yi Chen 2013-01-21 20:25:15 EST
VERIFIED with Zanata version 2.2-SNAPSHOT (20130122-0032)
Comment 3 Sean Flanigan 2013-11-26 22:13:29 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 4 Sean Flanigan 2013-11-26 22:15:30 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 5 Sean Flanigan 2013-11-26 22:18:52 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 6 Sean Flanigan 2013-11-26 22:23:23 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 7 Sean Flanigan 2013-11-26 22:33:33 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 8 Sean Flanigan 2013-11-26 22:35:48 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.